"use weex:vue";

if (typeof Promise !== 'undefined' && !Promise.prototype.finally) {
  Promise.prototype.finally = function(callback) {
    const promise = this.constructor
    return this.then(
      value => promise.resolve(callback()).then(() => value),
      reason => promise.resolve(callback()).then(() => {
        throw reason
      })
    )
  }
};

if (typeof uni !== 'undefined' && uni && uni.requireGlobal) {
  const global = uni.requireGlobal()
  ArrayBuffer = global.ArrayBuffer
  Int8Array = global.Int8Array
  Uint8Array = global.Uint8Array
  Uint8ClampedArray = global.Uint8ClampedArray
  Int16Array = global.Int16Array
  Uint16Array = global.Uint16Array
  Int32Array = global.Int32Array
  Uint32Array = global.Uint32Array
  Float32Array = global.Float32Array
  Float64Array = global.Float64Array
  BigInt64Array = global.BigInt64Array
  BigUint64Array = global.BigUint64Array
};


(()=>{var h=Object.create;var u=Object.defineProperty;var _=Object.getOwnPropertyDescriptor;var w=Object.getOwnPropertyNames;var m=Object.getPrototypeOf,y=Object.prototype.hasOwnProperty;var v=(e,r)=>()=>(r||e((r={exports:{}}).exports,r),r.exports);var R=(e,r,o,s)=>{if(r&&typeof r=="object"||typeof r=="function")for(let n of w(r))!y.call(e,n)&&n!==o&&u(e,n,{get:()=>r[n],enumerable:!(s=_(r,n))||s.enumerable});return e};var d=(e,r,o)=>(o=e!=null?h(m(e)):{},R(r||!e||!e.__esModule?u(o,"default",{value:e,enumerable:!0}):o,e));var i=v((D,f)=>{f.exports=Vue});var $=d(i());function g(){return uni.getSubNVueById(plus.webview.currentWebview().id)}var x=(e,r)=>{let o=e.__vccOpts||e;for(let[s,n]of r)o[s]=n;return o};var t=d(i()),I={"report-reason":{"":{display:"flex",alignItems:"center",paddingTop:"32rpx",paddingRight:"32rpx",paddingBottom:"32rpx",paddingLeft:"32rpx",borderTopLeftRadius:"20rpx",borderTopRightRadius:"20rpx",borderBottomRightRadius:0,borderBottomLeftRadius:0,height:"1400rpx",backgroundColor:"#ffffff"}},title:{"":{fontSize:"28rpx",color:"#999999"}},button:{"":{display:"flex",alignItems:"center",marginRight:"64rpx"}},"cancel-btn-wrapper":{"":{display:"flex",justifyContent:"center",alignItems:"center",marginTop:"32rpx",borderRadius:"20rpx",width:"508rpx",height:"84rpx",backgroundColor:"#000000"}},cancel:{"":{fontWeight:"bold",fontSize:"32rpx",color:"#ffffff"}},cell:{"":{marginTop:"38rpx",textAlign:"center"}},text:{"":{lineHeight:"38rpx",fontWeight:"bold",fontSize:"34rpx",color:"rgba(0,0,0,0.45)"}}},k={data(){return{reportReasons:[],reportedId:null}},computed:{},created(){uni.$on("show-report-reason-select",e=>{this.reportedId=e.reportedId,this.reportReasons=e.reportReasons})},beforeDestroy(){uni.$off("show-report-reason-select")},methods:{hideDrawer(){g().hide("auto")},handleItemClick(e){this.hideDrawer(),uni.navigateTo({url:`/sub-index/pages/report/report?reportedId=${this.reportedId}&code=${e.code}&reason=${e.value}&isTrend=true`})}}};function C(e,r,o,s,n,l){return(0,t.openBlock)(),(0,t.createElementBlock)("scroll-view",{scrollY:!0,showScrollbar:!0,enableBackToTop:!0,bubble:"true",style:{flexDirection:"column"}},[(0,t.createElementVNode)("view",{class:"report-reason"},[(0,t.createElementVNode)("u-text",{class:"title"},"\u8BF7\u9009\u62E9\u4E3E\u62A5\u7406\u7531"),((0,t.openBlock)(!0),(0,t.createElementBlock)(t.Fragment,null,(0,t.renderList)(n.reportReasons,(a,b)=>((0,t.openBlock)(),(0,t.createElementBlock)("view",{class:"cell",onClick:S=>l.handleItemClick(a),key:b},[(0,t.createElementVNode)("u-text",{class:"text",style:{"font-weight":"bold"}},(0,t.toDisplayString)(a.value),1)],8,["onClick"]))),128)),(0,t.createElementVNode)("view",{class:"cancel-btn-wrapper",onClick:r[0]||(r[0]=(...a)=>l.hideDrawer&&l.hideDrawer(...a))},[(0,t.createElementVNode)("u-text",{class:"cancel",style:{"font-weight":"bold"}},"\u53D6\u6D88")])])])}var p=x(k,[["render",C],["styles",[I]]]);var c=plus.webview.currentWebview();if(c){let e=parseInt(c.id),r="platform/app-plus/subnvue/report-reason-drawer",o={};try{o=JSON.parse(c.__query__)}catch(n){}p.mpType="page";let s=Vue.createPageApp(p,{$store:getApp({allowDefault:!0}).$store,__pageId:e,__pagePath:r,__pageQuery:o});s.provide("__globalStyles",Vue.useCssStyles([...__uniConfig.styles,...p.styles||[]])),s.mount("#root")}})();
